package no.ntnu.idatt1002.demo.data.recipes;

import java.util.ArrayList;
import java.util.List;

public class RecipeRegister {

    private List<Recipe> recipes = new ArrayList<>();


    //TODO: Copy-constructor

    public void addRecipe (Recipe recipe) {
        if(recipes.contains(recipe)) {
            throw new IllegalArgumentException("The recipe already exists in the register."); // Or just replace?
        } else if (recipe == null) {
            throw new IllegalArgumentException("The recipe cannot be null.");
        }
        this.recipes.add(recipe);

    }
}
