package no.ntnu.idatt1002.demo.data.recipes;

import java.util.List;

public class IngredientsAtHand {

    private List<Ingredient> ingredientsAtHand;

    public List<Ingredient> getIngredientsAtHand() {
        return ingredientsAtHand;
    }

    public void setIngredientsAtHand(List<Ingredient> ingredientsAtHand) {
        this.ingredientsAtHand = ingredientsAtHand;
    }

    public void addIngredient(Ingredient ingredient) {
        this.ingredientsAtHand.add(ingredient);
    }

    /**
     * Returns null if no ingredient of the requested type is found in the collection.
     * @param ingredientType
     * @return
     */
    public Ingredient getIngredient(FoodItem ingredientType) {
        return this.getIngredientsAtHand().stream()
                .filter((ingredient) -> ingredient.getFoodType() == ingredientType)
                .findFirst().orElse(null);
    }
}
